# class Rake::RuleRecursionOverflowError

Error indicating a recursion overflow error in task selection.

### Public Class Methods

new(*args) click to toggle source
Calls superclass method

    # File lib/rake/rule_recursion_overflow_error.rb, line 6
    def initialize(*args)
      super
      @targets = []
    end

### Public Instance Methods

add_target(target) click to toggle source

    # File lib/rake/rule_recursion_overflow_error.rb, line 11
    def add_target(target)
      @targets << target
    end

message() click to toggle source
Calls superclass method

    # File lib/rake/rule_recursion_overflow_error.rb, line 15
    def message
      super + ": [" + @targets.reverse.join(" => ") + "]"
    end